function [classLab, flag, seqFlag, predProb1, predProb2, predProb3] = PredPass_3(ChunkStack)
classLab = 'N';
flag = 0;
seqFlag = 0;

load('RemSig_Itr_1_CNN_params_20_filDim_100.mat');

[cost, grad, preds1] = cnnCost_MC(opttheta,ChunkStack,[],numClasses,...
    filterDimX,filterDimY,numFilters,poolDim,'True');

load('RemSig_Itr_2_CNN_params_20_filDim_100.mat');

[cost, grad, preds2] = cnnCost_MC(opttheta,ChunkStack,[],numClasses,...
    filterDimX,filterDimY,numFilters,poolDim,'True');

load('RemSig_Itr_1_CNN_params_10_filDim_100.mat');

[cost, grad, preds3] = cnnCost_MC(opttheta,ChunkStack,[],numClasses,...
    filterDimX,filterDimY,numFilters,poolDim,'True');



for ik = 1:4
    p1 = find(preds1 == ik);
    p2 = find(preds2 == ik);
    p3 = find(preds3 == ik);
    pcount1(ik) = length(p1);
    pcount2(ik) = length(p2);
    pcount3(ik) = length(p3);
end

predProb1 = pcount1/length(preds1);
predProb2 = pcount2/length(preds2);
predProb3 = pcount3/length(preds3);


[mval1, mInd1] = max(predProb1);
[mval2, mInd2] = max(predProb2);
[mval3, mInd3] = max(predProb3);

if(mval1>0.9 || mval2>0.9 || mval3>0.9)
    seqFlag = 1;
end

P = predProb1+predProb2+predProb3;
[mval, id1] = max(P);

th1 = 2.4;

lab = ['N', 'A', 'O', '~'];
classLab = lab(id1);
if(mval>th1);
    flag = 1;
else
    flag = 0;
end

end